package com.nantian.cloud.jljc.mapper;

import com.nantian.cloud.jljc.entity.TReportEnterprise;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 报表1-1企业信息 Mapper 接口
 * @since 2020-09-16
 * @author stz
 */
@Mapper
public interface TReportEnterpriseMapper extends BaseMapper<TReportEnterprise> {

    //获取报表设置企业信息
    TReportEnterprise getEnterpriseInfo(@Param("epc") String enterpriseCode,@Param("year") String year);

    //根据企业编码和年份获取报表设置主要产品
    String getProductInfo(@Param("epc") String enterpriseCode,@Param("year") String year);

    //根据企业编码和年份获取报表设置用能种类
    String getEnergyInfo(@Param("epc") String enterpriseCode,@Param("year") String year);

    //根据企业编码和年份获取报表设置指标设定
    String getEnergyIndex(@Param("epc") String enterpriseCode,@Param("year") String year);

    //根据报表信息id获取企业信息
    TReportEnterprise getEnterpriseByReportId(@Param("reportId") Long reportId);

    //自定义查询获取企业信息，报表设置没有获取企业信息的话，从企业基本信息取出
    TReportEnterprise queryCustomEnterprise(@Param("epc") String epc,@Param("year") String year);

    //更新报表设置数据 根据唯一键
    int saveOrUpdateByUniqueKey(TReportEnterprise tReportEnterprise);
}
